<?php

namespace App\Models;

class Offer extends Eloquent {

	protected $table = 'offers';
	public $timestamps = true;
	protected $fillable = array('details', 'state', 'order_id', 'driver_id', 'user_id', 'price');

	public function client()
	{
		return $this->belongsTo('App\User', 'user_id');
	}

	public function driver()
	{
		return $this->belongsTo('App\User', 'driver_id');
	}

	public function order()
	{
		return $this->belongsTo('App\Models\Order', 'order_id');
	}

}